/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "winner.h"

void pokerWinnerInit(poker_t *poker) {
  uint8_t winners[POKER_PLAYER_COUNT];
  uint8_t winnerCount = 0;

  poker->round = POKER_ROUND_WINNER;
  printf("Winner Winner Chicken Dinner\n");

  // Kill me
  for(uint8_t i = 0; i < POKER_PLAYER_COUNT; i++) {
    pokerplayer_t *player = poker->players + i;
    if(!pokerPlayerIsAlive(player)) continue;

    // Get the players' full hand
    pokerwinning_t winning = pokerPlayerGetWinning(poker, player);
    printf("Winning state %u\n", winning.type);
  }
}